/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/general_styling.scss';
@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';

.createProject {
  &__content {
    overflow-y: auto;
    padding: 2.5rem 3.7rem;

    @include breakpoint(sm) {
      padding-inline: 0.8rem;
    }

    &__steps {
      display: flex;
      flex-direction: column;
      row-gap: 0.9rem;

      &__step {
        display: flex;
        justify-content: space-between;
        align-items: center;
        border: 1px solid $light-gray;
        padding: 1.43rem 1.18rem;
        border-radius: 4px;
        -webkit-border-radius: 4px;
        -moz-border-radius: 4px;
        -ms-border-radius: 4px;
        -o-border-radius: 4px;

        @include breakpoint(sm) {
          flex-direction: column;
        }

        &__left {
          display: flex;
          column-gap: 1rem;

          h3 {
            @include primary-text(1.125rem, $black, 700, 1.125rem);
            margin-bottom: 0.18rem;
          }

          h4 {
            @include primary-text(0.875rem, $coa-grey-100, 500, 1rem);
            opacity: 0.8;
            font-style: italic;
          }
        }

        &__button {
          padding-inline: 3.125rem;
        }
      }
    }

    &__changelog {
      margin-top: 3.375rem;

      &__title {
        margin-bottom: 2rem;

        h1 {
          @include primary-text(2rem, $coa-dark-gray-100, 500);
        }
      }
    }
  }
}
